Package com.verisign.epp.interfaces.v1_0

## Class EPPMaintenance

- java.lang.Object
- - com.verisign.epp.interfaces.v1_0.EPPMaintenance

-     public class EPPMaintenance
      extends java.lang.Object

  `EPPMaintenance` is the primary client interface class used for the Maintenance EPP mapping. An instance of `EPPMaintenance` is created with an initialized `EPPSession`, and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.maintenance` package.
  See Also:
    `EPPMaintenanceInfoResp`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPMaintenance​(EPPSession aSession)` | Constructs an `EPPMaintenance` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addExtension​(EPPCodecComponent aExtension)` | Adds a command extension object.
    `java.util.Vector` | `getExtensions()` | Gets the command extensions.
    `EPPMaintenanceInfoCmd.InfoType` | `getInfoType()` | Gets the i`infoType`for the info command.
    `java.lang.String` | `getMaintenanceId()` | Gets the maintenance identifier.
    `EPPResponse` | `getResponse()` | Gets the response associated with the last command.
    `protected void` | `resetMaintenance()` | Resets the Maintenance instance to its initial state.
    `EPPMaintenanceInfoResp` | `sendInfo()` | /** Sends a Maintenance Info Command to the server. The optional attributes can be set with the following: `setTransId(String)` - Sets the client transaction identifier.
    `void` | `setExtensions​(java.util.Vector aExtensions)` | Sets the command extension objects.
    `void` | `setInfoType​(EPPMaintenanceInfoCmd.InfoType aInfoType)` | Sets the `infoType` for the info command.
    `void` | `setMaintenanceId​(java.lang.String aMaintenanceId)` | Sets the maintenance identifier to send info for.
    `void` | `setTransId​(java.lang.String aTransId)` | Sets the client transaction identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPMaintenance

          public EPPMaintenance​(EPPSession aSession)

      Constructs an `EPPMaintenance` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### addExtension

          public void addExtension​(EPPCodecComponent aExtension)

      Adds a command extension object.
      Parameters:
        `aExtension` - command extension object associated with the command

    - #### setExtensions

          public void setExtensions​(java.util.Vector aExtensions)

      Sets the command extension objects.
      Parameters:
        `aExtensions` - command extension objects associated with the command

    - #### getExtensions

          public java.util.Vector getExtensions()

      Gets the command extensions.
      Returns:
        `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

    - #### setTransId

          public void setTransId​(java.lang.String aTransId)

      Sets the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier

    - #### getInfoType

          public EPPMaintenanceInfoCmd.InfoType getInfoType()

      Gets the i`infoType`for the info command.
      Returns:
        the `infoType` for the info command.

    - #### setInfoType

          public void setInfoType​(EPPMaintenanceInfoCmd.InfoType aInfoType)

      Sets the `infoType` for the info command. The maintenance notification identifier is used only when the `infoType` is set to `InfoType.id`.
      Parameters:
        `aInfoType` - The `infoType` for the info command.

    - #### getMaintenanceId

          public java.lang.String getMaintenanceId()

      Gets the maintenance identifier.
      Returns:
        The maintenance identifier if defined; `null` otherwise.

    - #### setMaintenanceId

          public void setMaintenanceId​(java.lang.String aMaintenanceId)

      Sets the maintenance identifier to send info for.
      Parameters:
        `aMaintenanceId` - Maintenance identifier.

    - #### sendInfo

          public EPPMaintenanceInfoResp sendInfo()
                                          throws EPPCommandException

      /** Sends a Maintenance Info Command to the server.
      The optional attributes can be set with the following:
      - `setTransId(String)` - Sets the client transaction identifier.
      - `setMaintenanceId(String)` - Sets the maintenance identifier.
      Returns:
        `EPPMaintenanceInfoResp` that contains the maintenance information.
      Throws:
        `EPPCommandException` - On error

    - #### resetMaintenance

          protected void resetMaintenance()

      Resets the Maintenance instance to its initial state.

    - #### getResponse

          public EPPResponse getResponse()

      Gets the response associated with the last command. This method can be used to retrieve the server error response in the catch block of EPPCommandException.
      Returns:
        Response associated with the last command